//go:build !windows
// +build !windows

package shared

import "golang.org/x/sys/unix"

// Copied from https://stackoverflow.com/a/20026945 and https://stackoverflow.com/a/49148866
func IsWritable(path string) bool {
	return unix.Access(path, unix.W_OK) == nil
}
